This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171264 - buffer overflow detected gs terminated
buffer overflow detected gs terminated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 00:57 EDT by Naoki
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 7.07-41
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 07:07:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Naoki 2005-10-20 00:57:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050927 Fedora/1.0.7-2.1.fc4.nr Firefox/1.0.7

Description of problem:
we have two desktops here using the Lips-IVv
driver trying to print to a Canon LASER SHOT LBP-870 via LPD and they
both fail with a gs segfault.


Version-Release number of selected component (if applicable):
ghostscript-8.15-0.rc3.3

How reproducible:
Always

Steps to Reproduce:
1. Setup printer (Canon LASER SHOT LBP-870 via LPD with Lips-IVv driver)
2. Try and print in any application.
  

Actual Results:  
From /var/log/cups/error_log

D [19/Oct/2005:11:44:43 +0900] [Job 351] Closing renderer
D [19/Oct/2005:11:44:43 +0900] [Job 351] foomatic-gswrapper: gs
'-dBATCH' '-dPARANOIDSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=lips4v'
'-sOutputFile=| cat >&3' '/dev/fd/0' 3>&1 1>&2
D [19/Oct/2005:11:44:43 +0900] [Job 351] *** buffer overflow detected
***: gs terminated
D [19/Oct/2005:11:44:43 +0900] [Job 351] ======= Backtrace: =========
D [19/Oct/2005:11:44:43 +0900] [Job 351] /lib/libc.so.6(__chk_fail
+0x41)[0x95ac45]
D [19/Oct/2005:11:44:43 +0900] [Job 351] /lib/libc.so.6(__vsprintf_chk
+0x0)[0x95a510]
D [19/Oct/2005:11:44:43 +0900] [Job
351] /lib/libc.so.6(_IO_default_xsputn+0x97)[0x8dd858]

<snip>

D [19/Oct/2005:11:44:43 +0900] [Job 351] sh: line 1: 30148 Aborted
gs '-dBATCH' '-dPARANOIDSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=lips4v'
'-sOutputFile=| cat >&3' '/dev/fd/0' 3>&1 1>&2
D [19/Oct/2005:11:44:43 +0900] [Job 351] renderer return value: 134
D [19/Oct/2005:11:44:43 +0900] [Job 351] renderer received signal: 134
D [19/Oct/2005:11:44:43 +0900] [Job 351] Process dying with "The
renderer command line returned an unrecognized error code 134.", exit
stat: 1
D [19/Oct/2005:11:44:43 +0900] [Job 351] error: Illegal seek (29)

<snip>

Expected Results:  Happy logs and a printed page.  

Additional info:

We used to be able to print back in the olden days of FC1/2 with this same printer and the lips driver I'm quite sure.
Comment 2 Tim Waugh 2005-10-20 07:32:10 EDT
Fixed in CVS.
Comment 4 Naoki 2005-10-27 01:30:30 EDT
Needed to back down a couple of other packages as well :

# rpm -Uvh --oldpackage ghostscript-7.07-41.i386.rpm
ImageMagick-6.2.2.0-3.fc4.0.i386.rpm gimp-print-4.2.7-7.i386.rpm
Preparing...                ########################################### [100%]
   1:ghostscript            ########################################### [ 33%]
   2:ImageMagick            ########################################### [ 67%]
   3:gimp-print             ########################################### [100%]

Then I restarted cups and tested printing from Evolution and Firefox.

The both worked flawlessly.


Note You need to log in before you can comment on or make changes to this bug.